<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="252dp"
    android:layout_height="92dp">

    <View
        android:id="@+id/v_description_background"
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:background="@drawable/bg_shape_f8_radius_8"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_description"
        style="@style/TextCaption1"
        android:layout_width="0dp"
        android:layout_height="52dp"
        android:paddingHorizontal="12dp"
        android:paddingVertical="10dp"
        android:textColor="@color/text_secondary"
        android:text="@string/reserve_only_wechat_unable_tips"
        app:layout_constraintEnd_toEndOf="@id/v_description_background"
        app:layout_constraintStart_toStartOf="@id/v_description_background"
        app:layout_constraintTop_toTopOf="@id/v_description_background" />

    <View
        android:id="@+id/v_submit_background"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:background="@drawable/bg_reserve_only_wechat_unable_submit"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_description" />

    <ImageView
        android:id="@+id/iv_wechat"
        android:layout_width="14dp"
        android:layout_height="14dp"
        app:layout_constraintBottom_toBottomOf="@id/v_submit_background"
        app:layout_constraintEnd_toStartOf="@id/tv_open_wechat_reminder"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="@id/v_submit_background"
        app:layout_constraintTop_toTopOf="@id/v_submit_background"
        app:srcCompat="@drawable/ic_reserve_open_wechat_reminder" />

    <TextView
        android:id="@+id/tv_open_wechat_reminder"
        style="@style/TextBody2B"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:text="@string/enable_wechat_reminder"
        android:textColor="@color/text_aw_primary"
        app:layout_constraintBottom_toBottomOf="@id/iv_wechat"
        app:layout_constraintEnd_toEndOf="@id/iv_wechat"
        app:layout_constraintEnd_toStartOf="@id/iv_recommend"
        app:layout_constraintStart_toEndOf="@id/iv_wechat"
        app:layout_constraintTop_toTopOf="@id/iv_wechat" />

    <ImageView
        android:id="@+id/iv_recommend"
        android:layout_width="26dp"
        android:layout_height="14dp"
        android:layout_marginStart="4dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_open_wechat_reminder"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/tv_open_wechat_reminder"
        app:layout_constraintTop_toTopOf="@id/tv_open_wechat_reminder"
        app:srcCompat="@drawable/ic_reserve_only_wechat_recommend" />
</androidx.constraintlayout.widget.ConstraintLayout>